cmake_minimum_required(VERSION 2.6)
project(spmod_io)

set(spmod_io_SRCS
	mod_io.cpp
	filebrowser.h
	filebrowser.cpp
	textfiledump.h
	textfiledump.cpp
)

add_library (spmod_io MODULE ${spmod_io_SRCS})

# Boost
find_package(Boost COMPONENTS filesystem system REQUIRED)
target_link_libraries(spmod_io ${Boost_FILESYSTEM_LIBRARY})
target_link_libraries(spmod_io ${Boost_SYSTEM_LIBRARY})
target_link_libraries(spmod_io spcore)

if (ENABLE_NLS)
	target_link_libraries(spmod_io ${LIBINTL_LIBRARIES})
endif(ENABLE_NLS)

INSTALL (TARGETS spmod_io RUNTIME DESTINATION ${LIBRUNTIMEDIR} LIBRARY DESTINATION ${PLUGINDIR})
